package com.jsf.modelos;
// Generated 12-20-2019 09:25:14 AM by Hibernate Tools 5.2.12.Final

import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Estado generated by hbm2java
 */
@Entity
@Table(name = "estado", catalog = "actividades")
public class Estado implements java.io.Serializable {

	private Integer idEstados;
	private Fases fases;
	private String color;
	private Set actividadeses = new HashSet(0);

	public Estado() {
	}

	public Estado(Fases fases, String color, Set actividadeses) {
		this.fases = fases;
		this.color = color;
		this.actividadeses = actividadeses;
	}

	@Id
	@GeneratedValue(strategy = IDENTITY)

	@Column(name = "id_estados", unique = true, nullable = false)
	public Integer getIdEstados() {
		return this.idEstados;
	}

	public void setIdEstados(Integer idEstados) {
		this.idEstados = idEstados;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "id_faces")
	public Fases getFases() {
		return this.fases;
	}

	public void setFases(Fases fases) {
		this.fases = fases;
	}

	@Column(name = "color", length = 250)
	public String getColor() {
		return this.color;
	}

	public void setColor(String color) {
		this.color = color;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "estado")
	public Set getActividadeses() {
		return this.actividadeses;
	}

	public void setActividadeses(Set actividadeses) {
		this.actividadeses = actividadeses;
	}

}
